package net.wanji.utc.hisense.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author zhouleilei
 * @date 2024/11/15 23:29
 */
@Getter
@AllArgsConstructor
public enum HisensePersonEntranceAndExitEnum {
     // '车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；
     // 11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头', 0 默认没有匹配
    PERSON_1(11, 1, "入口行人"),
    PERSON_2(12, 2, "出口行人"),
    PERSON_3(13, 3, "出入口行人");
    private Integer hisensePerson;
    private Integer wjPerson;
    private String desc;

    public static Integer getWjperson(Integer hisensePerson) {
        for (HisensePersonEntranceAndExitEnum value : HisensePersonEntranceAndExitEnum.values()) {
            if (Objects.equals(hisensePerson, value.getHisensePerson())) {
                return value.getWjPerson();
            }
        }
        return 0;
    }
}
