package net.wanji.utc.hisense.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2024/11/12 15:14
 */
@Getter
@AllArgsConstructor
public enum HisenseTurnEnum {
     // 万集:'车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头', 0 默认没有匹配
     // hisen:      1-左,2-直,3-右,4-调头,5-左调头,6-左直,7-左右,8-直右,9-左直右,10-直调头,11-入口行人,12-出口行人,13-出入口行人,14-左直调头,15-右掉头,16-左右掉头,17-直右掉头,18-左直右掉头
    TURN_1(1, 1, "左"),
    TURN_2(2, 2, "直"),
    TURN_3(3, 3, "右"),
    TURN_4(4, 4, "调头"),
    TURN_5(5, 9, "左调头"),
    TURN_6(6, 5, "左直"),
    TURN_7(7, 8, "左右"),
    TURN_8(8, 6, "直右"),
    TURN_9(9, 7, "左直右"),
    TURN_10(10, 10, "直调头"),
    TURN_11(11, 21, "入口行人"),
    TURN_12(12, 22, "出口行人"),
    TURN_13(13, 20, "出入口行人"),
    TURN_14(14, 12, "左直调头"),
    TURN_15(15, 11, "右调头"),
    TURN_16(16, 15, "左右调头"),
    TURN_17(17, 13, "直右掉头"),
    TURN_18(18, 14, "左直右掉头");
    private Integer hisenseTurn;
    private Integer wjLightsTurn;
    private String desc;

    public static Integer getWjLightsTurn(Integer hisenseTurn) {
        for (HisenseTurnEnum value : HisenseTurnEnum.values()) {
            if (Objects.equals(hisenseTurn, value.getHisenseTurn())) {
                return value.getWjLightsTurn();
            }
        }
        return 0;
    }
}
