package net.wanji.utc.hisense.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * @author duanruiming
 * @date 2023/08/30 14:57
 * @description 来源滴滴数据大脑海信控制模式转换
 */
@Getter
@AllArgsConstructor
@RequiredArgsConstructor
public enum DataBrainControlModeEnum {
    //海信线协调控制是单个干线绿波，区域协调控制是多个干线绿波，到万集都是21，绿波协调
    //对信号机来说都是绿波协调
    LOCK(2, 52, "锁定"),
    ALL_RED(3, 12, "全红"),
    YELLOW_FLASH(4, 13, "黄闪"),
    CLOSED_FLASH(5, 11, "关灯"),
    STEP_CONTROL(9, 52, "步进"),
    FIX_CYCLE(11, 21, "定周期"),
    SELF_ADAPTION(20, 23, "单点自适应控制"),
    LINE_COORDINATE(21, 31, "线协调控制"),
    REGION_COORDINATE(21, 41, "区域协调控制"),
    MANUAL_CONTROL(31, 51, "手动控制"),
    MANUAL_LOCK(31, 52, "手动控制-锁定阶段"),
    MANUAL_TEMP_SCHEME(31, 53, "手动控制-指定方案"),
    MANUAL_LOCK_CHANNEL(31, 54, "手动控制-锁定通道"),
    TEMP_PLAN(255,  53, "临时方案");

    private Integer wjControl;
    private Integer hisenseControl;
    private String message;

    public static Integer getWjControlMode(Integer hisenseControl) {
        for (DataBrainControlModeEnum value : DataBrainControlModeEnum.values()) {
            if (Objects.equals(hisenseControl, value.getHisenseControl())) {
                return value.getWjControl();
            }
        }
        return 11; // 默认定周期
    }
}
