package net.wanji.utc.hisense.service;

import net.wanji.databus.dao.entity.BaseCrossSchemePO;
import net.wanji.databus.dao.entity.CrossSchedulesPO;
import net.wanji.databus.dao.entity.CrossSchemeStageOptLogPO;
import net.wanji.databus.dto.*;
import net.wanji.databus.po.CrossInfoPO;
import net.wanji.databus.vo.PlanSectionVO;
import net.wanji.databus.vo.SchemePhaseLightsVO;
import net.wanji.databus.po.CoordinationStatus;
import net.wanji.databus.po.CrossSchemeRings;

import java.util.List;
@SuppressWarnings("all")
public interface StaticInfoService {

    List<CrossInfoPO> crossBasicInfo(CrossInfoDTO crossInfoDTO) throws Exception;

    SchemePhaseLightsVO schemePhaseLights(SchemePhaseLightsDTO schemePhaseLightsDTO) throws Exception;

    List<PlanSectionVO> planSection(PlanSectionDTO planSectionDTO) throws Exception;

    List<CrossSchedulesPO> crossSchedules(CrossSchedulesDTO crossSchedulesDTO) throws Exception;
    /**
    * @Description : 5.7. 协调状态 - 获取当前方案
    * @Param crossId  路口编号
    **/
    CoordinationStatus crossPlan(String crossId) throws Exception;
   /**
    * @Description : 5.15. 方案环图请求-根据方案号获取配时方案环图
    * @Param crossId  路口编号
    * @Param pattern  方案号
    **/
   CrossSchemeRings crossSchemeRings(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;

   /**
    * @Description : 查询方案优化记录
    * @Param crossId  路口编号
    * @Param pattern  方案号
    **/
   List<CrossSchemeStageOptLogPO> schemeOptLog(CrossSchemeRingsDTO crossSchemeRingsDTO) throws Exception;

   /**
    * @Description : 根据时间和路口号查询方案号
    * @Param crossId  路口编号
    * @Param datetime  时间
    **/
   BaseCrossSchemePO selectSchemeByParams(QueryByCrossIdAndTimeDTO queryByCrossIdAndTimeDTO) throws Exception;

}
